<?php
/* ThemeREX Updater support functions
------------------------------------------------------------------------------- */


// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'laundrycity_trx_updater_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'laundrycity_trx_updater_theme_setup9', 9 );
    function laundrycity_trx_updater_theme_setup9() {
        if ( is_admin() ) {
            add_filter( 'laundrycity_filter_tgmpa_required_plugins', 'laundrycity_trx_updater_tgmpa_required_plugins', 8 );
        }
    }
}

// Filter to add in the required plugins list
// Priority 8 is used to add this plugin before all other plugins
if ( ! function_exists( 'laundrycity_trx_updater_tgmpa_required_plugins' ) ) {
    function laundrycity_trx_updater_tgmpa_required_plugins( $list = array() ) {
        if (in_array('trx_updater', laundrycity_storage_get('required_plugins'))) {
            $path = laundrycity_get_file_dir('plugins/trx_updater/trx_updater.zip');
            $list[] = array(
                'name' 		=> esc_html__('ThemeREX Updater', 'laundrycity'),
                'slug' 		=> 'trx_updater',
                'version'   => '2.1.3',
                'source'	=> !empty($path) ? $path : 'upload://trx_updater.zip',
                'required' 	=> false
            );
        }
        return $list;
    }
}

// Check if plugin installed and activated
if ( ! function_exists( 'laundrycity_exists_trx_updater' ) ) {
    function laundrycity_exists_trx_updater() {
        return defined( 'TRX_UPDATER_VERSION' );
    }
}
